Subject: RE: RPF calculation

From: Pawan <[email-masked]>
Date: Tue, 03 Jul 2001 14:02:29 +0530

Mark,
    Why not consider this as a terminating point? Of course only for (S,G) 
joins!
i.e. Sources reachable though non-PIM enabled interfaces being treated as 
directly
connected.

pnh

-----Original Message-----
From: Mark Handley [mailto:[email-masked]]
Sent: Saturday, June 02, 2001 10:46 AM
To: [email-masked]
Cc: [email-masked]
Subject: Re: RPF calculation

 > I have a basic question regarding RPF calculation in PIM-SM.
 >I have only Unicast Routing Table to calculate RPF as we don't support any mu
 >lticast protocols. PIM-SM is enabled on few interfaces.
 >If  the interface used by the unicast routing table to forward unicast 
packets
 > to the RP/Source is a non PIM enabled interface; should I send the 
join/prune
 > message on the lower cost interface among the PIM enabled interfaces to 
the R
 >P/Source. Please,  someone give advice even if  this is not bound to 
Protocol
 >Specification.

I think that would be considered a misconfiguration - a PIM domain
must be convex with respect to the underlying routing protocol in
order to work, and the situation you describe is not convex as far as
PIM enabled paths are concerned.

There are a number of problems with the solution you describe:

  - the unicast routing table usually will only have one route to the RP
    or source, so to get an alternate route you'd need to change your
    unicast routing implementation.

  - in some circumstances the only PIM-enabled interface may be the one
    the packet arrived on.

  - in general, you rely on unicast routing to avoid join-loops.  If
    some routers use the unicast routes and some use different routes,
    you risk creating a loop.

So I think the correct situation is to not send the join upstream, and
to report this as a configuration error.

Cheers,
         Mark